
#include "basic_io.h"
#include "LCD.h"
#include "SD_Card.h"
#include <math.h>

int main(void)
{
  UINT16 i=0,Tmp1=0,Tmp2=0;
  UINT32 j=720;
  BYTE Buffer[512]={0};
  
  UINT32 spcr = 0x10000; //xrst = 1
  UINT32 xcr = 0x40; //xwdlen1 = 2
  UINT32 pcr = 0xA00; //clkxm = 1, fsxm = 1
  UINT32 srgr = 0x20000000; //clksm = 0
  /*UINT32 rcr = 0;
  UINT32 mcr = 0;
  
  UINT32 xcer0 = 0;
  UINT32 xcer1 = 0;
  UINT32 xcer2 = 0;
  UINT32 xcer3 = 0;
  UINT32 rcer0 = 0;
  UINT32 rcer1 = 0;
  UINT32 rcer2 = 0;
  UINT32 rcer3 = 0;*/
  
  SD_card_init();
  LCD_Test();
  
    spcr = 0;
    IOWR(TOP_TRANSMIT_INST_RB_IN_BASE,0x00,spcr);
    IOWR(TOP_TRANSMIT_INST_RB_IN_BASE,0x08,xcr);
    IOWR(TOP_TRANSMIT_INST_RB_IN_BASE,0x0C,srgr);
    IOWR(TOP_TRANSMIT_INST_RB_IN_BASE,0x34,pcr);
    IOWR(TOP_TRANSMIT_INST_RB_IN_BASE,0x00,spcr);
    IOWR(TOP_TRANSMIT_INST_RB_IN_BASE,0x00,spcr);
    spcr = 0x400000; // grst = 1
    IOWR(TOP_TRANSMIT_INST_RB_IN_BASE,0x00,spcr);
    spcr = 0xC410000; //grst = 1, xrst = 1,frst = 1
    IOWR(TOP_TRANSMIT_INST_RB_IN_BASE,0x00,spcr);
    //wait 2 clks
    //spcr = 4194304; // grst = 1
    //IOWR(DEMO_TRANSMIT_INST_RB_IN_BASE,0x00,spcr);
    //spcr = 4259840; //grst = 1, xrst = 1
    //IOWR(DEMO_TRANSMIT_INST_RB_IN_BASE,0x00,spcr);
  
  while(1)
  {
       
    SD_read_lba(Buffer,j,1);
    while(i<512)
    {
      if(!IORD(AUD_FULL_BASE,0))
      {
        Tmp1=(Buffer[i+1]<<8)|Buffer[i];
        IOWR(TOP_TRANSMIT_INST_DXR_IN_BASE,0,Tmp1);
        i+=2;
      }
    }
    if(j%64==0)
    {
      Tmp2=Tmp1*Tmp1;
      IOWR(LED_RED_BASE,0,Tmp2);
      IOWR(LED_GREEN_BASE,0,Tmp1);
    }
    IOWR(SEG7_DISPLAY_BASE,0,j);
    j++;
    i=0;
  }
 
  return 0;
}

//-------------------------------------------------------------------------


