//Legal Notice: (C)2007 Altera Corporation. All rights reserved.  Your
//use of Altera Corporation's design tools, logic functions and other
//software and tools, and its AMPP partner logic functions, and any
//output files any of the foregoing (including device programming or
//simulation files), and any associated documentation or information are
//expressly subject to the terms and conditions of the Altera Program
//License Subscription Agreement or other applicable license agreement,
//including, without limitation, that your use is for the sole purpose
//of programming logic devices manufactured by Altera and sold by Altera
//or its authorized distributors.  Please refer to the applicable
//agreement for further details.

// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module Audio_1 (
                 // inputs:
                  iRST_N,
				  iAUD_BCK,
				  iAUD_DATA,
				  iRD,
                 // outputs:
                  oDATA
                  
               )
;
  input iRST_N;
  input iAUD_BCK;
  input iAUD_DATA;
  input iRD;
  output  logic [15:0] oDATA;
 logic [4:0] counter;
 logic [15:0] data;

always_ff@(posedge iAUD_BCK )
begin
		if(!iRST_N) begin//reset
			oDATA <= 0;
			counter <= 0;
			data <= 0;
		end
		else begin 
			if(iRD ==1)
				oDATA <= data;
				
			if(counter == 16) begin
				//data[0] <= iAUD_DATA;
				//oDATA <= data;
				counter <= 0;
			end
			else begin
				data[15-counter] <= iAUD_DATA;
				counter <= counter + 1;
			end
		end
end

endmodule

