module demo_transmit (
        //------entradas rb------------
        input logic reset, clk, 
        input logic [31:0] rb_in_address,
        input logic [31:0] rb_in_write_data,
        input logic rb_in_read,
        input logic rb_in_write,
        input logic rb_in_begin_transfer,
        input logic [3:0] rb_in_byte_enable,
  
  
        //------------saidas rb-----------   
        output logic rb_in_wait_request,
        output logic [31:0] rb_read_data, 
   
  
        //---------------entradas srg-----------------
        input logic clkx,
        input logic clkr,
        input logic fsx,
        input logic fsr,
        input logic clks,
        //input logic cpu_clk, -- esse eh o clk
	
        //---------------saidas srg-----------------
	 
        output logic pins_out_clkr,
        output logic pins_out_clkx,
	
        output logic pins_out_fsr,
        output logic pins_out_fsx,
	
        //----------------entradas transmit_MULTICHANNEL-----------	 
    
        //internos
     
        //----------------saidas transmit_MULTICHANNEL-----------
        
        //internos

        //----------------entradas transmit-----------
    	
        //colocar as entradas do transmit aqui!!!!


        //----------------saidas transmit-----------
   
		input  [31:0] dxr_in_address,
		input  [31:0] dxr_in_write_data,

		input dxr_in_write,
		input dxr_in_begin_transfer,
		input [3:0] dxr_in_byte_enable, 

		output logic dxr_in_wait_request,
   
        //colocar as saidas do transmit aqui!!!
        output logic dx_out_dx,
        output logic dxr_int_out_xint,
        output logic dxr_int_out_xevt,
 
        output logic dlb_out_data,



        output logic copy_out_copy
   
    );
   
    //--------sinais internos entre rb e modulos----------//
    logic [31:0] general_pcr;
    
    logic receive_rrdy;
    logic receive_rfull;
    logic receive_rsyncerr;
    logic [2:0] receive_rcblk;
  	
    logic transmit_xsyncerr;
    logic transmit_xempty;
    logic transmit_xrdy;
    logic [2:0] transmit_xcblk;
  
    logic [31:0] mcr;
    logic [31:0] rcere0;
    logic [31:0] rcere1; 
    logic [31:0] rcere2; 
    logic [31:0] rcere3; 
    logic [31:0] xcere0; 
    logic [31:0] xcere1;
    logic [31:0] xcere2;
    logic [31:0] xcere3;
    logic [31:0] srgr;
    logic [31:0] xcr;
    logic [31:0] rcr;
    logic [31:0] pcr;
    logic [31:0] spcr;
   
    logic [31:0] dynamic_rcere0;
    logic [31:0] dynamic_rcere1;
    logic [31:0] dynamic_rcere2;
    logic [31:0] dynamic_rcere3;
    logic [31:0] dynamic_rec_mcr;
  
    logic [31:0] dynamic_pcr;
  
    logic [31:0] dynamic_xcere0;
    logic [31:0] dynamic_xcere1;
    logic [31:0] dynamic_xcere2;
    logic [31:0] dynamic_xcere3;
    logic [31:0] dynamic_trans_mcr;
   
    logic dynamic_trans_request;
    logic dynamic_rec_request; 
  
    logic ac_srg_active;
    logic ac_general_rec_active;
    logic ac_companding_active;
    logic ac_receive_mult_active;
    logic ac_general_trans_active;
    logic ac_transmit_active;
    logic ac_receive_active;
    logic ac_transmit_mult_active;
    

  
    logic copy;
   
    logic clkr_int;
    logic clkx_int;
    
    logic fsr_int;
    logic fsx_int; 
   
    logic rec_multi_ready;
    
    logic [31:0] rec_enabled_channel1;
    logic [31:0] rec_enabled_channel2;
    logic [31:0] rec_enabled_channel3;
    logic [31:0] rec_enabled_channel4;
    
    logic [31:0] mult_unmasked_channel1;
    logic [31:0] mult_unmasked_channel2;
    logic [31:0] mult_unmasked_channel3;
    logic [31:0] mult_unmasked_channel4;
    
    logic [31:0] mult_enabled_channel1;
    logic [31:0] mult_enabled_channel2;
    logic [31:0] mult_enabled_channel3;
    logic [31:0] mult_enabled_channel4;
  
    //ajeitar o nome onde tem receive pra por transmit
    transmit transmit_i(.reset(reset), .clk(clk), 
        .clkx(clkx), 
        .fsx(fsx), 
        .ac_transmit_active(ac_transmit_active),
        .rb_in_spcr(spcr),
  
  
        .rb_in_pcr(pcr),
        .rb_in_rcr(rcr),
        .rb_in_xcr(xcr),
        .rb_in_srgr(srgr),
        .rb_in_mcr(mcr),



        .rb_in_rcer0(rcere0),
        .rb_in_rcer1(rcere1),
        .rb_in_rcer2(rcere2), 
        .rb_in_rcer3(rcere3),
        .rb_in_xcer0(xcere0),
        .rb_in_xcer1(xcere1),
        .rb_in_xcer2(xcere2),
        .rb_in_xcer3(xcere3),
   

        .dxr_in_address(dxr_in_address),
        .dxr_in_write_data(dxr_in_write_data),

        .dxr_in_write(dxr_in_write),
        .dxr_in_begin_transfer(dxr_in_begin_transfer),
        .dxr_in_byte_enable(dxr_in_byte_enable), 

        .dxr_in_wait_request(dxr_in_wait_request),
  
        .mult_in_unmasked_channel1(mult_unmasked_channel1), 
        .mult_in_unmasked_channel2(mult_unmasked_channel2),
        .mult_in_unmasked_channel3(mult_unmasked_channel3),
        .mult_in_unmasked_channel4(mult_unmasked_channel4),
        .mult_in_enabled_channel1(mult_enabled_channel1),
        .mult_in_enabled_channel2(mult_enabled_channel2),
        .mult_in_enabled_channel3(mult_enabled_channel3),
        .mult_in_enabled_channel4(mult_enabled_channel4),
  

  
        .rb_out_xsyncerr(transmit_xsyncerr),
        .rb_out_xempty(transmit_xempty),
        .rb_out_xrdy(transmit_xrdy),
        .rb_out_xcblk(transmit_xcblk),
 

        .dx_out_dx(dx_out_dx),
        .dxr_int_out_xint(dxr_int_out_xint),
        .dxr_int_out_xevt(dxr_int_out_xevt),
 
        .dlb_out_data(dlb_out_data),



        .copy_out_copy(copy_out_copy)

  
    );
    
    /*

    transmit_multichannel transmit_multichannel_i( .clk(clkr_int),.reset(reset),.request_request(request_request),
        .ac_transmit_mult_active(ac_transmit_mult_active),.rb_in_mcr(rb_in_mcr),.rb_in_rcer0(rb_in_rcer0),.rb_in_rcer1(rb_in_rcer1),.rb_in_rcer2(rb_in_rcer2),
        .rb_in_rcer3(rb_in_rcer3),.rb_in_xcer0(rb_in_xcer0),.rb_in_xcer1(rb_in_xcer1),.rb_in_xcer2(rb_in_xcer2),.rb_in_xcer3(rb_in_xcer3), 
        .dynamic_rb_in_mcr(dynamic_rb_in_mcr),.dynamic_rb_in_xcer0(dynamic_rb_in_xcer0),.dynamic_rb_in_xcer1(dynamic_rb_in_xcer1),.dynamic_rb_in_xcer2(dynamic_rb_in_xcer2),
        .dynamic_rb_in_xcer3(dynamic_rb_in_xcer3),.dynamic_rb_in_rcer0(dynamic_rb_in_rcer0),.dynamic_rb_in_rcer1(dynamic_rb_in_rcer1),.dynamic_rb_in_rcer2(dynamic_rb_in_rcer2),
        .dynamic_rb_in_rcer3(dynamic_rb_in_rcer3),
        .mult_out_unmasked_channel1(mult_unmasked_channel1),.mult_out_unmasked_channel2(mult_unmasked_channel2),.mult_out_unmasked_channel3(mult_unmasked_channel3),
        .mult_out_unmasked_channel4(mult_unmasked_channel4),.mult_out_enabled_channel1(mult_enabled_channel1),.mult_out_enabled_channel2(mult_enabled_channel2),
        .mult_out_enabled_channel3(mult_enabled_channel3),.mult_out_enabled_channel4(mult_enabled_channel4),.mult_out_ready(mult_out_ready)
    ); 
    
    */
    
    //--falta dynamic_r/xcere1, 2 e 3
    register_bank register_bank_i(.reset(reset), .clk(clk),.rb_in_address(rb_in_address),.rb_in_write_data(rb_in_write_data),.rb_in_read(rb_in_read),.rb_in_write(rb_in_write),
        .rb_in_begin_transfer(rb_in_begin_transfer),.rb_in_byte_enable(rb_in_byte_enable),.rb_in_wait_request(rb_in_wait_request),.general_in_pcr(general_pcr),.receive_in_rrdy(receive_rrdy),.receive_in_rfull(receive_rfull),
        .receive_in_rsyncerr(receive_rsyncerr),.receive_in_rcblk(receive_rcblk),.transmit_in_xsyncerr(transmit_xsyncerr),.transmit_in_xempty(transmit_xempty),.transmit_in_xrdy(transmit_xrdy),.transmit_in_xcblk(transmit_xcblk),
        .rb_out_mcr(mcr),.rb_out_rcer0(rcere0),.rb_out_rcer1(rcere1),.rb_out_rcer2(rcere2),.rb_out_rcer3(rcere3),.rb_out_xcer0(xcere0), 
        .rb_out_xcer1(xcere1),.rb_out_xcer2(xcere2),.rb_out_xcer3(xcere3),.rb_out_srgr(srgr),.rb_out_xcr(xcr),.rb_out_rcr(rcr),.rb_out_pcr(pcr),.rb_out_spcr(spcr),
        .rb_read_data(rb_read_data),.dynamic_reg_rmult_rcer0(dynamic_rcere0),.dynamic_reg_rmult_mcr(dynamic_rec_mcr),.dynamic_reg_rmult_request(dynamic_rec_request),.dynamic_reg_gp_pcr(dynamic_pcr),
        .dynamic_reg_tmult_xcer0(dynamic_xcere0),.dynamic_reg_tmult_mcr(dynamic_trans_mcr),.dynamic_reg_tmult_request(dynamic_trans_request),.ac_srg_active(ac_srg_active),.ac_general_rec_active(ac_receive_active),
        .ac_companding_active(ac_companding_active),.ac_receive_mult_active(ac_receive_mult_active),.ac_general_trans_active(ac_general_trans_active),.ac_transmit_active(ac_transmit_active),.ac_receive_active(ac_receive_active),
        .ac_transmit_mult_active(ac_transmit_mult_active)
    );
    
    srg srg_i(.ac_srg_active(ac_srg_active),.clkx(clkx),.clkr(clkr),.fsx(fsx),.fsr(fsr),.clks(clks),.cpu_clk(clk),.rb_in_srgr(srgr),.rb_in_spcr(spcr),.rb_in_pcr(pcr),
        .copy_in_copy(copy),.srg_rec_out_clkr_int(clkr_int),.srg_trans_out_clkx_int(clkx_int),.pins_out_clkr(pins_out_clkr),.pins_out_clkx(pins_out_clkx),.srg_rec_out_fsr_int(fsr_int),
        .srg_trans_out_fsx_int(fsx_int),.pins_out_fsr(pins_out_fsr),.pins_out_fsx(pins_out_fsx)
    );


endmodule